class Plot():
    
    @staticmethod
    def smooth_curve(data, factor=0.9):
        """Smooth curve using simple moving average"""
        smooth_data = []
        for value in data:
            if smooth_data:
                previous = smooth_data[-1]
                smooth_data.append(previous * factor + value * (1 - factor))
            else:
                smooth_data.append(value)
        return smooth_data
